PHPのプログラムを実装すると、デフォルトではHTTPレスポンスヘッダにPHPのバージョンが出てしまいます。

こんなのです。

1x-powered-by php 5.3.1

「_バージョンがわかると脆弱性が疲れてしまいやすくなる_」ことから、バージョンなどの攻撃の手がかりになる情報は外に出ないようにするのが鉄則、らしいです。

こんな時はPHPの設定ファイルを更新します。

こうなっていたら。

1expose_php = On

このようにして上書き保存します。

1expose_php = Off

サーバを再起動して設定変更の完了です!